The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Для Mandriva 2011 доступны пакеты с KDE3

31.08.2011 08:30

Командой MiB, поддерживающей дополнительный репозиторий для Mandriva Linux, анонсирован выпуск пакетов, содержащих программы из десктоп-окружения KDE3. Оформление данных приложений подобрано так, чтобы они были максимально похожи на программы KDE4 из ROSA Desktop. Для программ выбрано новое место в меню ("Tools/KDE3/..."). При выборе программы, устанавливаются все нужные зависимости.

Запуск KDE3 в качестве десктоп-окружения сразу не работает, так как отсутствует метапакет task-kde3. Тем не менее, на официальном форуме Mandriva дано следующее решение:


1. Создать файл /etc/X11/wmsession.d/02KDE3 со следующим содержанием:

   NAME=KDE3
   ICON=kde-wmsession.xpm
   DESC=The K Desktop Environment
   EXEC=/opt/kde3/bin/startkde
   SCRIPT:
   exec /opt/kde3/bin/startkde

2. После создания файла выполнить команду:

   chksession



  1. Главная ссылка к новости (http://mib.pianetalinux.org/mi...)
Автор новости: жабабыдлокодер
Тип: Практикум
Короткая ссылка: https://opennet.ru/31637-mandriva
Ключевые слова: mandriva, kde
Поддержать дальнейшую публикацию новостей на OpenNET.


Обсуждение (49) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Pulfer (?), 12:30, 31/08/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Актуальный скриншот (с темой иконок, основанной на теме Rosa):
    http://mib.pianetalinux.org/0.1234/MIB-temp/pulfer/kde3-latest.png

    Вообще, я не хотел собирать полноценные 3-и Кеды, меня только Amarok 1.4.10 и KPackage интересовали :-) Чтобы они без проблем ставились и работали в Росе 2011.

     
     
  • 2.6, Аноним (-), 13:00, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А чего это там артефакты на скрине?
     
     
  • 3.7, Pulfer (?), 13:11, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Это в VirtualBox'е такие траблы были. С чем связано - без понятия, но не с KDE3 :-)
     
  • 2.19, Nxx (ok), 14:36, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Актуальный скриншот (с темой иконок, основанной на теме Rosa):
    > http://mib.pianetalinux.org/0.1234/MIB-temp/pulfer/kde3-latest.png
    > Вообще, я не хотел собирать полноценные 3-и Кеды, меня только Amarok 1.4.10
    > и KPackage интересовали :-) Чтобы они без проблем ставились и работали
    > в Росе 2011.

    У вас KPackage может работать с репами Мандривы?

     

  • 1.2, Wormik (ok), 12:42, 31/08/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Еще один повод поставить Mandriva
     
     
  • 2.18, Nxx (ok), 14:35, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    > Еще один повод поставить Mandriva

    Лучше поставь openSUSE - там KDE3 полный, со всеми приложениями, а не как в Мандриве.

     
     
  • 3.27, Zenitur (ok), 15:54, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +3 +/
    >> Еще один повод поставить Mandriva
    > Лучше поставь openSUSE - там KDE3 полный, со всеми приложениями, а не
    > как в Мандриве.

    Вот как раз это и хотел написать! В репозитарии есть все программы, которые используют kdelibs из третьего KDE, самый полный сборник. А ещё там заботятся о качестве их работы. Репозитарий существует давно, а у мандривы недавно, поэтому лучше действительно поставить openSuSE

     
     
  • 4.34, Nxx (ok), 16:18, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >>> Еще один повод поставить Mandriva
    >> Лучше поставь openSUSE - там KDE3 полный, со всеми приложениями, а не
    >> как в Мандриве.
    > Вот как раз это и хотел написать! В репозитарии есть все программы,
    > которые используют kdelibs из третьего KDE, самый полный сборник. А ещё
    > там заботятся о качестве их работы. Репозитарий существует давно

    Не просто давно, а практически всегда :-) Сейчас посмотрел по коммитам. Первые коммиты были 63 месяца назад, то есть, больше 5-ти лет прошло.

     
  • 3.28, the joker (ok), 15:59, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Лучше поставь openSUSE - там KDE3 полный

    Вот это да... А я смотрел на их SuseStudio (или как его там зовут?) -- на третьих кедов, ни нужных мне приложений не нашёл.

     
     
  • 4.30, Nxx (ok), 16:06, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Лучше поставь openSUSE - там KDE3 полный
    > Вот это да... А я смотрел на их SuseStudio (или как его
    > там зовут?) -- на третьих кедов, ни нужных мне приложений не
    > нашёл.

    Suse Studio - это конструктор LiveCD. А вы плохо искали.

    Образ:

    http://susestudio.com/download/5f3f6071263fdffc38065b5b313edd08/OpenSUSE_11.4

    Постоянная ссылка: http://susegallery.com/a/vv1af0/opensuse-114-kde3-russian-edition

    А поиск по слову "KDE3" среди образов LiveCD в Студии выдает 3 страницы результатов... Там даже КДЕ2 есть. Так что, не понятно, как вы искали.

     
     
  • 5.36, the joker (ok), 16:40, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Suse Studio - это конструктор LiveCD.

    Ну да. Именно там я и пытался сделать себе ЛайвСиДи на основе OpenSUSE. Третьих кедов в качестве десктопного окружения я там не увидел, из чего заключил, что не бывает OpenSUSE с KDE3.

    > А вы плохо искали.

    Бывает. А за ссылки спасибо.

    UPDATE: Сей минут перепроверил. Нету там третьего кеда. Только для 10 SP4, который мне не нужен.

     
     
  • 6.42, Nxx (ok), 16:54, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> Suse Studio - это конструктор LiveCD.
    > Ну да. Именно там я и пытался сделать себе ЛайвСиДи на основе
    > OpenSUSE. Третьих кедов в качестве десктопного окружения я там не увидел,
    > из чего заключил, что не бывает OpenSUSE с KDE3.
    >> А вы плохо искали.
    > Бывает. А за ссылки спасибо.
    > UPDATE: Сей минут перепроверил. Нету там третьего кеда. Только для 10 SP4,
    > который мне не нужен.

    У вас, наверно, другая сусестудия.

    http://susegallery.com/search?q=kde3

     
  • 4.31, Nxx (ok), 16:10, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Лучше поставь openSUSE - там KDE3 полный
    > Вот это да... А я смотрел на их SuseStudio (или как его
    > там зовут?) -- на третьих кедов, ни нужных мне приложений не
    > нашёл.

    А приложения обычно ищут в репозитории:

    https://build.opensuse.org/project/monitor?project=KDE%3AKDE3

    http://download.opensuse.org/repositories/KDE:/KDE3/openSUSE_11.4/

     
     
  • 5.38, the joker (ok), 16:41, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Ещё раз спасибо за ссылки.
     
  • 2.39, vayerx (ok), 16:43, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Еще один повод поставить Mandriva

    в gentoo, к примеру, оверлей с поддержкой kde3 вполне усешно существуюет с момента перехода на kde4. другой вопрос, что заморочками с похожестью на kde4 там никто не занимается, ибо не совсем понятно к чему оно

     

  • 1.4, Anonus (?), 12:46, 31/08/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –13 +/
    Боже мой, кто-то еще юзает это гaвно мамонта (KDE3)?
     
     
  • 2.8, Vitaly_loki (ok), 13:14, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +8 +/
    Это ты это самое, а KDE3 - хорошая, годная, удобная, быстрая DE.
     
     
  • 3.9, Anonus (?), 13:27, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • –18 +/
    Какой-то бред несешь... Это KDE4 хорошая, годная, быстрая DE. А вот гaвно мамонта пора смывать. Под KDE3 софт пишут только самые ярые фанатики, которые не могут позволить себе сменить пентиум 3 на что-то более мощное.
     
     
  • 4.10, Vitaly_loki (ok), 13:28, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Я и сам 4ми кедами пользуюсь, но KDE3 от этого говном мамонта не становится
     
     
  • 5.26, Zenitur (ok), 15:46, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    У него первым дистрибутивом был Kubuntu 9.04. KDE 3 последний раз был в 8.04. А ещё он подросток. Поэтому спорить бесполезно: он фанат.
     
     
  • 6.29, the joker (ok), 16:01, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Поэтому спорить бесполезно: он фанат.

    А не нужно спорить. Третьи кеды есть хороший DE.

     
     
  • 7.45, Аноним (-), 17:36, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Камрады, зачем вы кормите этого толстого тролля?
     
  • 4.12, www2 (??), 13:50, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +5 +/
    >Под KDE3 софт пишут только самые ярые фанатики, которые не могут позволить себе сменить пентиум 3 на что-то более мощное.

    Меняют работающее, проверенное временем решение только самые ярые фанатики, которые боятся что на них будут показывать пальцем и говорить "смотрите, он юзает г овно мамонта".

    Поделитесь, пожалуйста, какие там в KDE4 новые уникальные полезные программы сделали, которых не было в KDE3? Непомуки с аконадями?

     
  • 4.23, Tuxoid (ok), 15:34, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Я сам юзаю КДЕ4, но скажи-ка мне дружок как мне в новом Kate найти дерево классов php или попытаться отладить php код? Ответ один. Никак. Ни одно из приложений для КДЕ4 этого не умеет(ни KDevelop, ни Kate, ни Quanta), а вот для КДЕ3 умеют. Вот и отсается юзать либо приложения из КДЕ3 либо тормознутые NetBeans/Eclipse.
     
     
  • 5.24, Anonus (?), 15:37, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Милок, кванта - это софтина KDE3, на KDE4 так и не была портирована (хотя несколько лет обещали).
     
     
  • 6.25, Tuxoid (ok), 15:41, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    а это http://gitorious.org/kdevelop/quanta что?
     
     
  • 7.40, Nxx (ok), 16:49, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > а это http://gitorious.org/kdevelop/quanta что?

    А это заново написанная программа с похожим названием.

     
     
  • 8.43, Tuxoid (ok), 16:56, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Вот и я о том же что оно толком ничего что умела кванта в КДЕ3 не умеет Вот и п... текст свёрнут, показать
     
  • 4.32, the joker (ok), 16:12, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Какой-то бред несешь... Это KDE4 хорошая, годная, быстрая DE. А вот гaвно
    > мамонта пора смывать. Под KDE3 софт пишут только самые ярые фанатики,
    > которые не могут позволить себе сменить пентиум 3 на что-то более
    > мощное.

    Странно. Не слишком давно (в начале года) записывал лайвсиди какой-то Солярки (OpenSolaris, наверное). Загрузился для посмотреть -- а там третьи кеды. Не думаю, что Солярис делали для пентиума 3.

     
  • 2.13, АНОНИММ (?), 13:55, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Раньше было мое любимое ДЕ, потом вышло КДЕ4 где было все кроме нужного..
    Т.К. появились проблемы со сборкой ушел на гном.
    Теперь разработчики обкурились и испортили гном(я думаю им просто стало скучно пилить стабильную ДЕ).
    ДАЕШ КДЕ3!!!
     
  • 2.14, anonymous (??), 13:59, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Я пользую. Только TDE, форк кде3, а че - есть апдейты, шустрая. А свободные 11 гиг оперативки (1 гиг под tde и его базовые программы) я потрачу на что-нибудь более ценное, чем 4-й кде с его свистелками и перделками.
     
     
  • 3.33, the joker (ok), 16:13, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Я пользую. Только TDE, форк кде3

    По сути, его смело можно называть истинным кде3. Кроме Писрсона, никто кде3 не развивает.

     
  • 2.15, жабабыдлокодер (ok), 14:08, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    KDE4, конечно же, лучше, но это Линукс, детка. Пусть каждый пользуется тем, что ему больше нравится.

    А KPackage - вещь! В мандриве не особенно нужна, но в до-мандривные времена как же удобно мне было с ней работать...

     
     
  • 3.50, sasha (??), 22:14, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > KDE4, конечно же, лучше, но это Линукс, детка. Пусть каждый пользуется тем,
    > что ему больше нравится.

    Я вот не думаю что большинство тех кто сидел на КДЕ 3 с радостью перешли на КДЕ 4, скорее всего они ожидали что получат такую же быструю, надежную и удобную среду для работы, а получили то что получили. Прям таки как МС мы выпустили 7 и хоть жрите кактус, а перейти придется.


     
  • 2.17, Nxx (ok), 14:34, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Ну я юзаю (openSUSE)
     

  • 1.5, Аноним (-), 12:52, 31/08/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Те-же кто пользует intel PIII на десктопе
     
     
  • 2.37, vayerx (ok), 16:41, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    а им что-нибудь наподобие lxde или хотя бы xfce - не?
     

  • 1.16, Аноним (-), 14:32, 31/08/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    А что, у вас KPackage может с репами Мандривы работать?
     
     
  • 2.20, Pulfer (?), 14:44, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Не, с репами он не работает и научить его это делать я не планирую. :-) Это всё-таки не замена rpmdrake'у.
     
     
  • 3.21, Nxx (ok), 14:46, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Не, с репами он не работает и научить его это делать я
    > не планирую. :-) Это всё-таки не замена rpmdrake'у.

    А для чего его еще можно использовать, если он не умеет работать с репами?

     
     
  • 4.22, Pulfer (?), 15:06, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Для работы с локальными пакетами. Это всё-таки обёртка над rpm, а не над urpmi.
     

  • 1.35, Аноним (-), 16:38, 31/08/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    кто бы для Debian сделал репозиторий с KDE3?
     
     
  • 2.41, Аноним (-), 16:52, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Делай.
     
  • 2.46, Аноним (-), 18:01, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    У тринити свой есть
     
  • 2.52, Teocally (?), 16:01, 01/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Уже есть:
    http://www.trinitydesktop.org/installation.php
     

  • 1.44, Уже зарегистрирован (?), 17:17, 31/08/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    на Mageia это можно поставить?
     
     
  • 2.47, Аноним (-), 18:06, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    А почему нет)
     
     
  • 3.48, Nxx (ok), 18:25, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > А почему нет)

    Там же другой RPM

     
  • 2.51, Pulfer (?), 22:25, 31/08/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Можно попробовать. Скорее не с RPM будут проблемы, а в магеевских репах может не хватить чего-нибудь из зависимостей. Конкретно сборку KDE3 я не пробовал на 2010.2 ставить, но другие пакеты, собранные в 2011, у меня нормально ставились, несмотря на разницу в RPM (новый VS старый).
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:
    При перепечатке указание ссылки на opennet.ru обязательно



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру